package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcSafeRequestMapper;
import com.ruoyi.oa.domain.CmcSafeRequest;
import com.ruoyi.oa.service.ICmcSafeRequestService;

/**
 * cmc安全要求Service业务层处理
 * 
 * @author cmc
 * @date 2024-07-08
 */
@Service
public class CmcSafeRequestServiceImpl implements ICmcSafeRequestService 
{
    @Autowired
    private CmcSafeRequestMapper cmcSafeRequestMapper;

    /**
     * 查询cmc安全要求
     * 
     * @param requestId cmc安全要求主键
     * @return cmc安全要求
     */
    @Override
    public CmcSafeRequest selectCmcSafeRequestByRequestId(Integer requestId)
    {
        return cmcSafeRequestMapper.selectCmcSafeRequestByRequestId(requestId);
    }

    /**
     * 查询cmc安全要求列表
     * 
     * @param cmcSafeRequest cmc安全要求
     * @return cmc安全要求
     */
    @Override
    public List<CmcSafeRequest> selectCmcSafeRequestList(CmcSafeRequest cmcSafeRequest)
    {
        return cmcSafeRequestMapper.selectCmcSafeRequestList(cmcSafeRequest);
    }

    /**
     * 新增cmc安全要求
     * 
     * @param cmcSafeRequest cmc安全要求
     * @return 结果
     */
    @Override
    public int insertCmcSafeRequest(CmcSafeRequest cmcSafeRequest)
    {
        return cmcSafeRequestMapper.insertCmcSafeRequest(cmcSafeRequest);
    }

    /**
     * 修改cmc安全要求
     * 
     * @param cmcSafeRequest cmc安全要求
     * @return 结果
     */
    @Override
    public int updateCmcSafeRequest(CmcSafeRequest cmcSafeRequest)
    {
        return cmcSafeRequestMapper.updateCmcSafeRequest(cmcSafeRequest);
    }

    /**
     * 批量删除cmc安全要求
     * 
     * @param requestIds 需要删除的cmc安全要求主键
     * @return 结果
     */
    @Override
    public int deleteCmcSafeRequestByRequestIds(Integer[] requestIds)
    {
        return cmcSafeRequestMapper.deleteCmcSafeRequestByRequestIds(requestIds);
    }

    /**
     * 删除cmc安全要求信息
     * 
     * @param requestId cmc安全要求主键
     * @return 结果
     */
    @Override
    public int deleteCmcSafeRequestByRequestId(Integer requestId)
    {
        return cmcSafeRequestMapper.deleteCmcSafeRequestByRequestId(requestId);
    }
}
